#!/bin/bash
# 用于缓存打包过程下载的依赖
mkdir repository
curDir=`pwd`
docker run --name maven --rm \
	-v ${curDir}:/usr/src/mymaven \
	-v ${curDir}/repository:/root/.m2/repository \
	-v ${curDir}/settings.xml:/usr/share/maven/ref/settings.xml \
	-v /etc/docker/daemon.json:/etc/docker/daemon.json -v /var/run/docker.sock:/var/run/docker.sock -v /usr/bin/docker:/usr/bin/docker \
	-w /usr/src/mymaven \
	maven:3.9.3-eclipse-temurin-17-alpine \
	mvn clean package -DskipTests -Pdocker

# 保存所有服务的 docker 镜像
declare -a services
services=($(find ./platform-services -mindepth 1 -maxdepth 1 -type d -exec basename {} \;))
for service in ${services[@]}; do
  echo "[+] Saving ${service} docker image..."
	docker save skcks.cn/${service} -o ${service}.image
done

echo "[+] All docker images saved!"
ls -lh *.image
