package cn.skcks.docking.wx.orm.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 微信公众号记录表
 * </p>
 *
 * @author shikong
 * @since 2024-12-09
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("mp_app")
@Schema(name = "MpApp", description = "微信公众号记录表")
public class MpApp extends Model<MpApp> {

    private static final long serialVersionUID = 1L;

    @Schema(description = "公众号id")
    @TableId("id")
    private String id;

    @Schema(description = "开发者id")
    @TableField("app_id")
    private String appId;

    @Schema(description = "名称")
    @TableField("app_name")
    private String appName;

    @Schema(description = "开发者密钥")
    @TableField("app_secret")
    private String appSecret;

    @Schema(description = "令牌")
    @TableField("token")
    private String token;

    @Schema(description = "消息加密密钥")
    @TableField("encoding_aes_key")
    private String encodingAesKey;

    @Schema(description = "是否启用")
    @TableField("enable")
    private Boolean enable;

    @TableField("create_time")
    private LocalDateTime createTime;

    @TableField("update_time")
    private LocalDateTime updateTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
