package cn.skcks.docking.wx.services.mp.common.redis;

import cn.skcks.docking.wx.common.redis.RedisUtil;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import me.chanjar.weixin.common.redis.BaseWxRedisOps;
import me.chanjar.weixin.common.util.locks.RedisTemplateSimpleDistributedLock;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Lock;

@Slf4j
@RequiredArgsConstructor
@Component
public class WxRedisOps extends BaseWxRedisOps {
    private final StringRedisTemplate redisTemplate;

    @Override
    public Lock getLock(String key) {
        return new RedisTemplateSimpleDistributedLock(redisTemplate, key, 60 * 1000);
    }

    @Override
    public void expire(String key, int expire, TimeUnit timeUnit) {
        RedisUtil.KeyOps.expire(key, expire, timeUnit);
    }

    @Override
    public Long getExpire(String key) {
        return RedisUtil.KeyOps.getExpire(key);
    }

    @Override
    public void setValue(String key, String value, int expire, TimeUnit timeUnit) {
        RedisUtil.StringOps.setEx(key, value, expire, timeUnit);
    }

    @Override
    public String getValue(String key) {
        return RedisUtil.StringOps.get(key);
    }
}
