package cn.skcks.docking.wx.services.mp.dto.app;

import cn.hutool.core.date.DatePattern;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Schema(name = "MpApp", description = "微信公众号记录表")
@Data
public class MpAppDto {
    @Schema(description = "公众号id")
    @TableId("id")
    private String id;

    @Schema(description = "开发者id")
    @TableField("app_id")
    private String appId;

    @Schema(description = "名称")
    @TableField("app_name")
    private String appName;

    @Schema(description = "开发者密钥")
    @TableField("app_secret")
    private String appSecret;

    @Schema(description = "令牌")
    @TableField("token")
    private String token;

    @Schema(description = "消息加密密钥")
    @TableField("encoding_aes_key")
    private String encodingAesKey;

    @Schema(description = "是否启用")
    @TableField("enable")
    private Boolean enable;

    @DateTimeFormat(pattern= DatePattern.NORM_DATETIME_PATTERN)
    @JsonFormat(pattern=DatePattern.NORM_DATETIME_PATTERN)
    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @DateTimeFormat(pattern= DatePattern.NORM_DATETIME_PATTERN)
    @JsonFormat(pattern=DatePattern.NORM_DATETIME_PATTERN)
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;
}
