package cn.skcks.docking.wx.services.mp.service.kefu;

import cn.hutool.core.date.DateUtil;
import cn.skcks.docking.wx.common.json.JsonUtils;
import cn.skcks.docking.wx.services.mp.service.app.MpAppService;
import jakarta.servlet.http.HttpServletResponse;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import me.chanjar.weixin.common.error.WxErrorException;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.kefu.WxMpKefuMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import org.springframework.stereotype.Service;

@Slf4j
@RequiredArgsConstructor
@Service
public class MpKeFuService {

    @SneakyThrows
    public void reply(HttpServletResponse response, WxMpService wxMpService, WxMpXmlMessage inMessage) {

        WxMpKefuMessage outMessage = WxMpKefuMessage.TEXT()
                .toUser(inMessage.getFromUser())
                .content(DateUtil.now())
                .build();
        wxMpService.getKefuService().sendKefuMessage(outMessage);

        log.debug("\n[↑] 响应消息: \n{}", JsonUtils.toCompressJson(outMessage));
    }
}
