package cn.skcks.docking.wx.services.mp.service.message.handler.impl;

import cn.skcks.docking.wx.services.mp.service.message.handler.MessageHandler;
import cn.skcks.docking.wx.services.mp.vo.verify.SignatureVo;
import jakarta.servlet.http.HttpServletRequest;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.config.WxMpConfigStorage;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Component
public class AESMessageHandler implements MessageHandler {
    @Override
    public boolean canHandle(HttpServletRequest request) {
        return StringUtils.equalsIgnoreCase(getEnctypeType(request), "aes");
    }

    @Override
    public WxMpXmlMessage receive(HttpServletRequest request, WxMpService wxMpService, SignatureVo signatureVo) throws IOException {
        WxMpConfigStorage wxMpConfigStorage = wxMpService.getWxMpConfigStorage();

        // 是aes加密的消息
        String msgSignature = request.getParameter("msg_signature");

        return WxMpXmlMessage.fromEncryptedXml(request.getInputStream(),
                wxMpConfigStorage,
                signatureVo.getTimestamp(),
                signatureVo.getNonce(),
                msgSignature);
    }
}
