package cn.skcks.docking.wx.services.mp.service.message.handler.impl;

import cn.skcks.docking.wx.services.mp.service.message.handler.MessageHandler;
import cn.skcks.docking.wx.services.mp.vo.verify.SignatureVo;
import jakarta.servlet.http.HttpServletRequest;
import lombok.extern.slf4j.Slf4j;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Slf4j
@Component
public class UnknownMessageHandler implements MessageHandler {
    @Override
    public int order() {
        return Integer.MAX_VALUE;
    }

    @Override
    public boolean canHandle(HttpServletRequest request) {
        return Boolean.TRUE;
    }

    @Override
    public WxMpXmlMessage receive(HttpServletRequest request, WxMpService wxMpService, SignatureVo signatureVo) throws IOException {
        // 是aes加密的消息
        String msgSignature = request.getParameter("msg_signature");

        log.error("[x] 无法处理的消息加密类型 {}", msgSignature);
        return null;
    }
}
