package cn.skcks.docking.wx.web.config;

import cn.skcks.docking.wx.api.interceptor.GlobalInterceptor;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Slf4j
@Component
@RequiredArgsConstructor
public class WebConfig implements WebMvcConfigurer {
    private final GlobalInterceptor globalInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(globalInterceptor)
                .addPathPatterns("/**")
                .excludePathPatterns("/error/**", "/swagger-ui.html", "/swagger-ui/**", "/v3/api-docs/**");
    }
}
